Stasik0 10 роки тому
батько
коміт
2330e6e059
2 змінених файлів з 45 додано та 0 видалено
  1. 20 0
      tools/.checkPorts.sh
  2. 25 0
      tools/.deployDoxygen.sh

+ 20 - 0
tools/.checkPorts.sh

@@ -0,0 +1,20 @@
+#!/bin/bash
+
+#
+# This script checks whether all patches from /ports dir are applicable
+#
+
+PATCHES=ports/*
+
+for p in $PATCHES
+do
+	git apply --check $p
+	if [[ "$?" == 0 ]] 
+	then
+		echo $p is applicable
+	else
+		echo failed to apply $p
+		exit 1
+	fi
+	
+done

+ 25 - 0
tools/.deployDoxygen.sh

@@ -0,0 +1,25 @@
+#!/bin/bash
+
+#
+# This sciprt is run by travis-ci and pushes generated
+# Doxygen docs to open62541-www
+#
+
+COMMITS=`git log --since=today.midnight --oneline | wc -l`
+
+if [[ "$COMMITS" -le "1" ]]; then
+   git clone --depth=50 -b gh-pages https://$GITAUTH@github.com/acplt/open62541-www
+   cd open62541-www
+   git rm -rf doc
+   cp -r ../build/doc ./
+   git add -A doc/*
+   git config --global user.email "open62541-travis-ci@users.noreply.github.com"
+   git config --global user.name "Open62541 travis-ci"
+   git config --global push.default simple
+   git commit -am "doxygen updated by travis-ci"
+   git push https://$GITAUTH@github.com/acplt/open62541-www
+   cd ..
+   rm -rf open62541-www
+else
+    echo "Not the first commit of the day - no push to coverity required"
+fi